Loading...
Searching...
No Matches
BALL::VIEW::FieldLinesDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/fieldLinesDialog.h>`

Inheritance diagram for BALL::VIEW::FieldLinesDialog:

## Public Slots

void | accept ()

## Public Member Functions

| FieldLinesDialog (QWidget *parent=NULL, const char *name="FieldLinesDialog")
virtual | ~FieldLinesDialog ()
Position | getSeedMode ()
Size | getMonteCarloNumberLines ()
float | getTolerance ()
Size | getInterpolationSteps ()
Size | getMaxSteps ()
Size | getIcosaederInterplationSteps ()
float | getAtomsDistance ()
Public Member Functions inherited from BALL::VIEW::FieldLineCreator
| FieldLineCreator ()
| FieldLineCreator (const FieldLineCreator &fc)
virtual | ~FieldLineCreator ()
Representation * | createLines ()
void | createFieldLine_ (const Vector3 &point, Representation &rep)
void | calculateLinePoints_ (Vector3 point, vector< Vector3 > &points, float factor=1.)
void | setUsePotentialGrid (bool state)

## Additional Inherited Members

Public Types inherited from BALL::VIEW::FieldLineCreator
typedef TRegularData3D< Vector3 > | VectorGrid
Public Attributes inherited from BALL::VIEW::FieldLineCreator
float | tolerance_
Size | max_steps_
Size | interpolation_steps_
Size | icosaeder_steps_
float | atom_distance_
Size | field_line_errors_
bool | use_atoms_
Size | monte_carlo_nr_lines_
RegularData3D * | potential_grid_
VectorGrid * | vector_grid_
AtomContainer * | ac_
bool | use_potential_grid_

## Detailed Description

Dialog for creating field lines.

Definition at line 25 of file fieldLinesDialog.h.

## Constructor & Destructor Documentation

## FieldLinesDialog()

BALL::VIEW::FieldLinesDialog::FieldLinesDialog | ( | QWidget * | parent = NULL,
|  | const char * | name = "FieldLinesDialog" )

Default Constructor.

## ~FieldLinesDialog()

virtual BALL::VIEW::FieldLinesDialog::~FieldLinesDialog | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## accept

void BALL::VIEW::FieldLinesDialog::accept | ( |  | ) |

slot

## getAtomsDistance()

float BALL::VIEW::FieldLinesDialog::getAtomsDistance | ( |  | ) |

## getIcosaederInterplationSteps()

Size BALL::VIEW::FieldLinesDialog::getIcosaederInterplationSteps | ( |  | ) |

## getInterpolationSteps()

Size BALL::VIEW::FieldLinesDialog::getInterpolationSteps | ( |  | ) |

## getMaxSteps()

Size BALL::VIEW::FieldLinesDialog::getMaxSteps | ( |  | ) |

## getMonteCarloNumberLines()

Size BALL::VIEW::FieldLinesDialog::getMonteCarloNumberLines | ( |  | ) |

## getSeedMode()

Position BALL::VIEW::FieldLinesDialog::getSeedMode | ( |  | ) |

## getTolerance()

float BALL::VIEW::FieldLinesDialog::getTolerance | ( |  | ) |